aboutsummaryrefslogtreecommitdiff
path: root/internal/p10k.zsh
diff options
context:
space:
mode:
authorromkatv <roman.perepelitsa@gmail.com>2019-12-01 14:14:24 +0300
committerromkatv <roman.perepelitsa@gmail.com>2019-12-01 14:14:24 +0300
commit3340dc7269cc44bda4e6f03dc8e0daaff3e22556 (patch)
tree0879310c9e07d2a0623b73cef8d9ed8cdf57792e /internal/p10k.zsh
parent6a928c6500fa71ced22e8ca222925ce9db228ee7 (diff)
new prompt segment: midnignt_commander (see #342)
Diffstat (limited to 'internal/p10k.zsh')
-rw-r--r--internal/p10k.zsh9
1 files changed, 9 insertions, 0 deletions
diff --git a/internal/p10k.zsh b/internal/p10k.zsh
index 9be1f1d0..322ef7ca 100644
--- a/internal/p10k.zsh
+++ b/internal/p10k.zsh
@@ -3405,6 +3405,15 @@ function instant_prompt_ranger() {
_p9k_prompt_segment prompt_ranger $_p9k_color1 yellow RANGER_ICON 1 '$RANGER_LEVEL' '$RANGER_LEVEL'
}
+function prompt_midnight_commander() {
+ [[ -n $MC_TMPDIR ]] || return
+ _p9k_prompt_segment $0 $_p9k_color1 yellow MIDNIGHT_COMMANDER_ICON 0 '' ''
+}
+
+function instant_prompt_midnight_commander() {
+ _p9k_prompt_segment prompt_midnight_commander $_p9k_color1 yellow MIDNIGHT_COMMANDER_ICON 0 '$MC_TMPDIR' ''
+}
+
function prompt_terraform() {
(( $+commands[terraform] )) || return
local ws=default